IRE version 0.68 (Apr 2001)
===========================

Check out README.DOS, README.LIN, README.BE or README.WIN
(depending on which system software you are using)


What is it?
===========

This is an unfinished release of the IRE rpg system, a clone of Ultima 6 with
the emphasis on customisation.

It is written for DOS, but it now runs under Linux and BeOS as well.
In addition, Michael Rich has made it work under Windows 95 or later.

A simple demo environment is provided.  For now, the game world which the
engine was written for remains under wraps ;-)


New in this version
===================

-BSD license.

-Lots of enhancements and bugfixes in the PE script language.
 Support for Tile objects in PEscript.
 When a PEscript crashes, a disassembly of the script is written to the logfile.
 Support for arrays of objects.
 Very crude support for AND and OR

-Object functions are now handled by PE scripts, instead of SEER.
 Currently a lot of these call a SEER function anyway, but not for long.

-Enhancements to the conversation script.  New tokens, and the ability
 to censor swear words from the conversations if desired. :-)

-Symbolic links for NPCs.

-Support for objects bigger than 128 pixels wide.

-You can set the size of the game window.

-Areas you should not be able to see are now blanked like Ultima 6.
 This is incomplete and needs further work.

-Fixed bugs in keyboard handling.

-SCRIPTER has been re-named RESEDIT, since it edits the resource files,
 not the script files per se.

-The latest version of Allegro is used so BeOS version is a lot better.



Editing
=======

To use the editor, FIRST unpack the file FLAT.RAR and you'll be ready to go.
The buildings are at 8,8 on the map.

However, you'll probably want to read the documentation first.
This documentation is somewhat out of date, but covers most of the map
editor.  The programming reference is rather stale, I haven't updated it
because I'm changing the script language away from SEER into PEscript.

There are two incomplete references.  keywords.txt is for the conversation
files, and script.txt is for the new script language.  But it isn't finished.

The developer's documentation can be downloaded separately in HTML format.
This is recommended if you want to try editing the world.
You can use netscape, MSIE, Opera or anything to read the documentation in
windows.   If you use LYNX you will not be able to see the diagrams.

For DOS, try Arachne or Lineo DR-Webspyder.
Most other systems come with a browser of some kind.

(http://www.naf.cz/arachne)

(http://www.lineo.com)


Requirements:
=============

See the Readme file for your system.

readme.win
readme.dos
readme.lin
readme.be

Controls
========

Press F1 for help during the game to see this list again. 

Cursor keys.. move around

L - Look
G - Get
D - Drop
M - Move
U - Use
A - Attack
T - Talk

TAB - Inventory
ENTER - select/wield object (when in object viewer)

0 - Control the player, in party mode.
1 - Choose the player, solo mode
2 - Choose 2nd party member, solo mode
3 - Choose 3rd party member, solo mode
       :
       :
9 - Choose 9th party member, solo mode


ESC - Quit
F1  - Help
F2  - Save
F3  - Load
F4  - Sound controls
F5  - Restart Game
F10 - screenshot

'Debugging' keys:

SHIFT-F1  - Provoke a fight
SHIFT-F2  - VM logging on/off

SHIFT-F4  - More Health
SHIFT-F5  - Light
SHIFT-F6  - Duplicate any object
SHIFT-F7  - Acquire any object
SHIFT-F8  - Destroy totally any object
SHIFT-F9  - Appraise object

SHIFT-F11 - Interrogate map structure
SHIFT-F12 - System status


BUGS:
=====

1. 256 colour mode is totally shafted.  Still.

2. The video mode selection menu is broken in Windows.
   The Win95-look menus aren't used in Win95 because they freeze the system.
   So everything looks like Win95 except for Win95 which looks like shit.

3. Save and Load is not quite perfect yet

4. Visual glitches in the top-left hand corner of the top floor of the flat.
   This is caused by the room blanking system.


License
=======

This is the brief version.  See license.txt for more detail.

The following license applies only to the program code, not necessarily the
data files for games made with the system.
The IRE demo data files are in the public domain.

With the exception of third-party components, which are licensed
individually, the program binary and source code are licensed under the
BSD license which is as follows:


Copyright (c) 2001, IT-HE Software
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.

Neither the name of IT-HE Software nor the names of its contributors may
be used to endorse or promote products derived from this software without
specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED.
IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.



Sources - admissions of guilt
=======

1.  The door opening sound came from VERGE.
2.  The torch fitting was stolen from Colin Day's U6 clone, Insurrection.
3.  The flames came from my older platform game, Javelin
4.  One of the debugging sounds came from the film ZARDOZ by John Boorman.
    The other came from Kansam's Trial, a brilliant Doom episode by my brother.
    The should-not-happen sound came from the film Legend by Ridley Scott
5.  The wood came from a texture archive on the web.
6.  The mud was based upon a colourmap taken from a scanned photo from
    'Wild flowers of Britain and Europe' by Bob Press and Bob Gibbons.
    The colourmaps were generated by mixing the Gum Cistus on page 157 
    with the Small Caltrops on page 143, and this colourmap was imposed on
    random data which was softened and rescaled to create the mud.
7.  Some of the error messages came from The Two Towers by JRR Tolkien.
8.  The citation about the drugs came from Bored of the Rings by the
    Havard Lampoon, Chapter 2, page 26 of the 51st Anniversary edition.
9.  Norman White the dealer came from the CorelDraw 7 clipart collection.

This program is based in part on work of the Independent JPEG group library.
That is, it can read JPEG files.  See README.JPG in the source code archive
for full info.


Contact
=======

Email address...  jpm@it-he.org
		  jpm@it-he.com
		  doug-15@bigfoot.com
		  boff@globalnet.co.uk   (Last resort)

IRE web site....  http://fly.to/ire
		  http://ire.sourceforge.net

IT-HE web site..  http://www.it-he.org
		  http://www.it-he.com

